unit Unit2;

interface

uses Windows;

const
// Constants for simple and advanced viewers
  VT_SIMPLE = 0;
  VT_ADVANCED = 1;

// Constants for data types
  DT_NONE = 0; // DT_NONE - empty image
  DT_1BITIMAGE = 14;// DT_1BITIMAGE - standard Windows 1-bit image
  DT_4BITIMAGE = 15;// DT_4BITIMAGE - standard Windows 4-bit image
  DT_8BITIMAGE = 1;// DT_8BITIMAGE - standard Windows 8-bit image
  DT_15BITIMAGE = 12;// DT_15BITIMAGE - standard Windows 15-bit high color image
                     // with 0RRRRRGGGGGBBBBB-bit mask
  DT_16BITIMAGE = 13;// DT_16BITIMAGE - standard Windows 16-bit high color image 
                     // with RRRRRGGGGGGBBBBB-bit mask
  DT_24BITIMAGE = 2;// DT_24BITIMAGE - standard Windows 24-bit color image
  DT_32BITIMAGE = 3;// DT_32BITIMAGE - standard Windows 32-bit color image
  DT_BYTE = 4;// DT_BYTE - multichannel (Depth = any number) byte image
  DT_WORD = 5;// DT_WORD - multichannel (Depth = any number) 16-bit unsigned integer image
  DT_SMALLINT = 6;// DT_SMALLINT - multichannel (Depth = any number) 16-bit signed integer image
  DT_INTEGER = 7;// DT_INTEGER - multichannel (Depth = any number) 32-bit integer image
  DT_SINGLE = 8;// DT_SINGLE - multichannel (Depth = any number) 32-bit floating point image
  DT_DOUBLE = 9;// DT_DOUBLE - multichannel (Depth = any number) 64-bit floating point image

// See C++ files for more details  
function VCreate(VNum:integer;ParentHandle:THandle;Left,Top,Width,Height:integer):pointer;cdecl;
procedure VFree(var V:pointer);cdecl;
function ImCreate(ImCaption:PChar; DimX,DimY:integer; Depth:integer;
                  DataType:integer; PData:Pointer; Reverse:boolean):pointer;cdecl;
procedure ImShow(V,Im:pointer);cdecl;
procedure ImShowModal(Im:pointer; VNum,Left,Top,Width,Height:integer);cdecl;
procedure ImFree(V,Im:pointer);cdecl;
procedure SetAppHandle(H:HWND);cdecl;

implementation

const ZLDLL = 'ZL.dll';

function VCreate;external ZLDLL;
procedure VFree;external ZLDLL;
function ImCreate;external ZLDLL;
procedure ImShow;external ZLDLL;
procedure ImShowModal;external ZLDLL;
procedure ImFree;external ZLDLL;
procedure SetAppHandle;external ZLDLL;
end.
